GRANULIZER 2 is going to have linux version

All your LV2 and LADSPA goodness and more.

Moderators: khz, MattKingUSA

occulkot
Established Member
Posts: 39
Joined: Thu Nov 23, 2017 8:14 am

GRANULIZER 2 is going to have linux version

Post by occulkot »

Based on discussion in this announcement topic on kvr https://www.kvraudio.com/forum/viewtopi ... ilit=linux looks like linux is going to have one more granular synth this time in VST format!

User avatar
sysrqer
Established Member
Posts: 1953
Joined: Thu Nov 14, 2013 11:47 pm
Contact:

Re: GRANULIZER 2 is going to have linux version

Post by sysrqer »

Wow that's great, this is something we are missing.

occulkot
Established Member
Posts: 39
Joined: Thu Nov 23, 2017 8:14 am

Re: GRANULIZER 2 is going to have linux version

Post by occulkot »

As i have checked the day one vesion it is working fine with airwave. Im waiting for linux native version!

ΙnertiaSoundSystems
Established Member
Posts: 19
Joined: Fri Nov 23, 2018 2:40 pm

Re: GRANULIZER 2 is going to have linux version

Post by ΙnertiaSoundSystems »

We're pretty excited about it :)

Once we have more news, we'll let you know!


sjaehn
Established Member
Posts: 60
Joined: Fri May 03, 2019 6:05 pm

Re: GRANULIZER 2 is going to have linux version

Post by sjaehn »

Interesting. I should have an eye on it ;-).

occulkot
Established Member
Posts: 39
Joined: Thu Nov 23, 2017 8:14 am

Re: GRANULIZER 2 is going to have linux version

Post by occulkot »

Wow, i though they would never finish it ;)

ΙnertiaSoundSystems
Established Member
Posts: 19
Joined: Fri Nov 23, 2018 2:40 pm

Re: GRANULIZER 2 is going to have linux version

Post by ΙnertiaSoundSystems »

granulizer 2.3 release banner@2x.jpg

GRANULIZER 2.3 is here! Experimental #Linux support, plugin deauthorization and tons of fixes and optimizations!

Available right now, as a free upgrade for GRANULIZER 2 owners, and at a 50% until next week!

https://www.inertiasoundsystems.com/blo ... -released/
You do not have the required permissions to view the files attached to this post.

User avatar
skei
Established Member
Posts: 186
Joined: Sun May 18, 2014 4:24 pm
Contact:

Re: GRANULIZER 2 is going to have linux version

Post by skei »

niiiiice!! :-)

occulkot
Established Member
Posts: 39
Joined: Thu Nov 23, 2017 8:14 am

Re: GRANULIZER 2 is going to have linux version

Post by occulkot »

Great, im going to test this tonight :).

Great job!

ΙnertiaSoundSystems
Established Member
Posts: 19
Joined: Fri Nov 23, 2018 2:40 pm

Re: GRANULIZER 2 is going to have linux version

Post by ΙnertiaSoundSystems »

Feedback has been positive so far! Let us know how it goes for you.

We've started a Known Issues section to track them here:
https://www.inertiasoundsystems.com/sup ... wn-issues/

So if you stumble upon anything, please let us know. We will apply everything to our distortion plugin INSTINCT as well, and all future products, so they'll have a linux version on day 1.

User avatar
AlbertoZ
Established Member
Posts: 58
Joined: Thu Nov 23, 2017 10:08 am

Re: GRANULIZER 2 is going to have linux version

Post by AlbertoZ »

Great News ... I'll give a try but it seems that I need to upgrade my system first. My linux Mint 19.3 has GLIBC 2.27:

ldd (Ubuntu GLIBC 2.27-3ubuntu1.2) 2.27

while it seems that Granulizer is linked against 2.29:

carla-discovery::error::/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /home/alberto/.vst/Granulizer 2.so)

Alberto

ΙnertiaSoundSystems
Established Member
Posts: 19
Joined: Fri Nov 23, 2018 2:40 pm

Re: GRANULIZER 2 is going to have linux version

Post by ΙnertiaSoundSystems »

AlbertoZ wrote:
Wed Sep 16, 2020 9:38 pm
Great News ... I'll give a try but it seems that I need to upgrade my system first. My linux Mint 19.3 has GLIBC 2.27:

ldd (Ubuntu GLIBC 2.27-3ubuntu1.2) 2.27

while it seems that Granulizer is linked against 2.29:

carla-discovery::error::/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /home/alberto/.vst/Granulizer 2.so)

Alberto
Hmm, do plugins usually link to static versions of GLIB or set a minimum dependancy, ie Ubuntu 20.04 etc?

We'd like to cater to what is expected if possible

Kott
Established Member
Posts: 327
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: GRANULIZER 2 is going to have linux version

Post by Kott »

ΙnertiaSoundSystems wrote:
Thu Sep 17, 2020 10:13 am
AlbertoZ wrote:
Wed Sep 16, 2020 9:38 pm
Great News ... I'll give a try but it seems that I need to upgrade my system first. My linux Mint 19.3 has GLIBC 2.27:

ldd (Ubuntu GLIBC 2.27-3ubuntu1.2) 2.27

while it seems that Granulizer is linked against 2.29:

carla-discovery::error::/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /home/alberto/.vst/Granulizer 2.so)

Alberto
Hmm, do plugins usually link to static versions of GLIB or set a minimum dependancy, ie Ubuntu 20.04 etc?

We'd like to cater to what is expected if possible
Dynamic linked. Usually plugins are built with previous long-term distro, Ubuntu 18 for example.

hyenaz
Established Member
Posts: 28
Joined: Mon May 16, 2016 8:05 pm

Re: GRANULIZER 2 is going to have linux version

Post by hyenaz »

i just bought the plugin and was surprised to find the download already has the linux version.

Post Reply